GNU bug report logs - #40869
Scheme syntax-rules indent when using ellipsis symbol

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jakub Jankiewicz <jcubic@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40869 <at> debbugs.gnu.org:


Received: (at 40869) by debbugs.gnu.org; 6 Jun 2022 18:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 14:13:45 2022
Received: from localhost ([127.0.0.1]:36811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyHEW-0004JE-Q1
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 14:13:44 -0400
Received: from smtpo95.poczta.onet.pl ([213.180.149.148]:33153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jcubic@HIDDEN>) id 1nyHER-0004Ix-Sw
 for 40869 <at> debbugs.gnu.org; Mon, 06 Jun 2022 14:13:43 -0400
Received: from jcubic (unknown [178.218.193.229])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jcubic@HIDDEN)
 by smtp.poczta.onet.pl (Onet) with ESMTPSA id 4LH1ng35DlzlhbbB;
 Mon,  6 Jun 2022 20:13:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=onet.pl; s=2011;
 t=1654539208; bh=RoYxCGn9b4C+5d3DoLbi9qyFh8t7FMm9oclpyI/rsWc=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=YBZ/BEx6jx0/qyugRWvMjnharSz3eBSpVjFVlNoJtu83VeqSl4qDVXAvSma7smJL1
 965LOo1y2PJHPuEUB/5YHIfz94bEETmzGobE+oYlQKBgk7pQbVIutWiM3vek7ZNiil
 w+OtoCUHLJ6rt5yYNJCbREYCuaZ/XObsYuzH6YtM=
Date: Mon, 6 Jun 2022 20:13:26 +0200
From: "Jakub T. Jankiewicz" <jcubic@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40869: Scheme syntax-rules indent when using ellipsis symbol
Message-ID: <20220606201326.5481dbb4@jcubic>
In-Reply-To: <87v8tdvrx9.fsf@HIDDEN>
References: <20200426171853.71593e8b@jcubic>
	<87v8tdvrx9.fsf@HIDDEN>
X-Mailer: Claws Mail 4.1.0 (GTK 3.24.34; x86_64-redhat-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-ONET_PL-MDA-SEGREGATION: 0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40869
Cc: 40869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Awesome, thanks.

On Mon, 06 Jun 2022 15:32:18 +0200
Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Jakub Jankiewicz <jcubic@HIDDEN> writes:
> 
> > According to srfi-46 the syntax-rules can have extra first parameter:
> >
> > This is the indent:
> >
> > (define-syntax list+
> >   (syntax-rules ::: ()
> >                 ((_ args :::) '(args :::))))
> >
> > it should be the same as without ellipis extra symbol:
> >
> > (define-syntax list+
> >   (syntax-rules ()
> >     ((_ args ...) '(args ...))))  
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I've now fixed this in Emacs 29.
> 

--
Jakub T. Jankiewicz, Web Developer
https://jcubic.pl/me




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40869; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 40869 <at> debbugs.gnu.org and Jakub Jankiewicz <jcubic@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40869 <at> debbugs.gnu.org:


Received: (at 40869) by debbugs.gnu.org; 6 Jun 2022 13:32:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 09:32:33 2022
Received: from localhost ([127.0.0.1]:34740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyCqP-0005SA-D9
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 09:32:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyCqL-0005Rj-B5
 for 40869 <at> debbugs.gnu.org; Mon, 06 Jun 2022 09:32:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lQOh9NYeS8fycUWgrUP24MJAgLl3KqhuHIslQUPaF/g=; b=l5MsvdA6rVKDhL7OzLvoegN1Rj
 IspCEvaI/K2B9YTfOPJ/ZF8XF1OaaoYAed0n9Ym+rDsY/FBT+wWGvLXCzoArPOCOdEQH5vlaeNP/A
 EXJABX+hcv5oibz1+Qvnq66amOO8rGjoAPGC1HnF0SqpES/wcUA+7Yfui+l1xhPRkQSE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyCqC-00039C-9g; Mon, 06 Jun 2022 15:32:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jakub Jankiewicz <jcubic@HIDDEN>
Subject: Re: bug#40869: Scheme syntax-rules indent when using ellipsis symbol
References: <20200426171853.71593e8b@jcubic>
X-Now-Playing: Matmos's _The Consuming Flame: Open Exercises in Group Form
 (2): On the Team_: "Platformalism"
Date: Mon, 06 Jun 2022 15:32:18 +0200
In-Reply-To: <20200426171853.71593e8b@jcubic> (Jakub Jankiewicz's message of
 "Sun, 26 Apr 2020 17:18:53 +0200")
Message-ID: <87v8tdvrx9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jakub Jankiewicz <jcubic@HIDDEN> writes: > According to
 srfi-46
 the syntax-rules can have extra first parameter: > > This is the indent:
 > > (define-syntax list+ > (syntax-rules ::: () > ((_ args :::) '(args :::))))
 > > it should be the same [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40869
Cc: 40869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jakub Jankiewicz <jcubic@HIDDEN> writes:

> According to srfi-46 the syntax-rules can have extra first parameter:
>
> This is the indent:
>
> (define-syntax list+
>   (syntax-rules ::: ()
>                 ((_ args :::) '(args :::))))
>
> it should be the same as without ellipis extra symbol:
>
> (define-syntax list+
>   (syntax-rules ()
>     ((_ args ...) '(args ...))))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I've now fixed this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40869; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Apr 2020 15:24:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 26 11:24:18 2020
Received: from localhost ([127.0.0.1]:33927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSj8k-0002Np-Cs
	for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 11:24:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:42560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jcubic@HIDDEN>) id 1jSj8j-0002Ni-7t
 for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 11:24:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36490)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jcubic@HIDDEN>) id 1jSj8i-0008Hs-R6
 for bug-gnu-emacs@HIDDEN; Sun, 26 Apr 2020 11:24:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPF_PASS,URIBL_BLOCKED autolearn=unavailable
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <jcubic@HIDDEN>) id 1jSj8h-00085W-Dy
 for bug-gnu-emacs@HIDDEN; Sun, 26 Apr 2020 11:24:16 -0400
Received: from smtpo64.poczta.onet.pl ([141.105.16.14]:39880)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jcubic@HIDDEN>) id 1jSj8g-00085L-K3
 for bug-gnu-emacs@HIDDEN; Sun, 26 Apr 2020 11:24:15 -0400
Received: from jcubic (unknown [185.129.113.193])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jcubic@HIDDEN)
 by smtp.poczta.onet.pl (Onet) with ESMTPSA id 499BQ65Sfkz1XQ6tc
 for <bug-gnu-emacs@HIDDEN>; Sun, 26 Apr 2020 17:18:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=onet.pl; s=2011;
 t=1587914334; bh=27UBnxgvdK6cFIj+ce3wQCxvKn3BvL+cMMrlkuoSW/I=;
 h=Date:From:To:Subject:From;
 b=Z7EK/tFFqg0lz1Dphn6+f8Deycu/Hmf7KC0IrsTfCsF09Kp0/PA+K/XLAxPXh0ogL
 BAa/zC03qqtlTBllh0yOBYDoNFhz2FMVkvGvoH8FZCytvcTGoCoSbLvZeCwJxS8eIV
 7BJmRPt87xrQA/gNimbjsrdySfUycDRJYOzFVWG4=
Date: Sun, 26 Apr 2020 17:18:53 +0200
From: Jakub Jankiewicz <jcubic@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Scheme syntax-rules indent when using ellipsis symbol
Message-ID: <20200426171853.71593e8b@jcubic>
X-Mailer: Claws Mail 3.17.3git196 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-ONET_PL-MDA-SEGREGATION: 0
Received-SPF: pass client-ip=141.105.16.14; envelope-from=jcubic@HIDDEN;
 helo=smtpo64.poczta.onet.pl
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/26 11:19:00
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Received-From: 141.105.16.14
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

According to srfi-46 the syntax-rules can have extra first parameter:

This is the indent:

(define-syntax list+
  (syntax-rules ::: ()
                ((_ args :::) '(args :::))))

it should be the same as without ellipis extra symbol:

(define-syntax list+
  (syntax-rules ()
    ((_ args ...) '(args ...))))

--
Jakub Jankiewicz, Web Developer
https://jcubic.pl/me




Acknowledgement sent to Jakub Jankiewicz <jcubic@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40869; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jun 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.